Name:          flyingsaucer
Version:       8
Release:       17%{?dist}
Summary:       XML/XHTML and CSS 2.1 renderer in pure Java
# licensed under CC-BY-SA: demos/svg/xhtml/dat/*.svg
License:       LGPLv2+ and CC-BY-SA
URL:           https://github.com/flyingsaucerproject/flyingsaucer
Source0:       http://flying-saucer.googlecode.com/files/%{name}-R%{version}-src.zip
Source1:       http://repo1.maven.org/maven2/org/xhtmlrenderer/core-renderer/R%{version}/core-renderer-R%{version}.pom
# remove Pack200Task.jar references
# add system itext svgsalamander xml-commons-apis
Patch0:        %{name}-R%{version}-build.patch
# fix xml-apis groupId version
# remove org.jvnet.wagon-svn wagon-svn 1.8
Patch1:        %{name}-R%{version}-pom.patch

BuildRequires: java-devel
BuildRequires: javapackages-local

BuildRequires: ant
# main
BuildRequires: itext-core
BuildRequires: xml-commons-apis
# optional for svg demo
BuildRequires: svgsalamander

Provides:      xhtmlrenderer = %{version}-%{release}
BuildArch:     noarch

%description
An XML/XHTML CSS 2.1 Renderer library in pure Java
for rendering to PDF, images, and Swing panels.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%package demos
Summary:       Demostrations and samples for %{name}
Requires:      %{name} = %{version}-%{release}
Requires:      java

%description demos
This package contains demostrations and samples for %{name}.

%prep
%setup -q -c

find -name '*.class' -delete
find -name '*.dll' -delete
find -name '*.exe' -delete
find -name '*.jar' -delete

# file non free licensed
# under CC-2.5
rm -rf demos/browser/xhtml/recipebook-xml.css
# under CC-BY-NC-SA
rm -rf demos/svg/xhtml/dat/face-crying.svg
rm -rf demos/svg/xhtml/dat/face-sad.svg
# unclear license, unimportant file anyway
rm -rf demos/docbook/xml/plugin-implement.xml

%patch0 -p1
cp -p %{SOURCE1} pom.xml
%patch1 -p0

iconv -f iso8859-1 -t utf-8 LICENSE-W3C-TEST > LICENSE-W3C-TEST.conv && mv -f LICENSE-W3C-TEST.conv LICENSE-W3C-TEST
sed -i 's/\r//' LICENSE-W3C-TEST

sed -i '/Class-Path/d' src/packaging/manifest

# requires
# lib/xml-apis-xerces-2.9.1.jar x
# lib/iText-2.0.8.jar x
# optionals
# lib/dev/antlrall.jar x
# lib/dev/bsh-core-2.0b4.jar x
# lib/dev/jsch-20060408.jar x
# lib/dev/jsyntaxpane-0.9.4.jar x
# lib/dev/junit.jar x
# lib/dev/looks-2.1.4.jar x
# lib/dev/PDFRenderer.jar x
# lib/dev/Piccolo.jar x
# lib/dev/svgSalamander.jar x
# lib/dev/tagsoup-1.1.3.jar x
# lib/dev/Tidy.jar x
# lib/dev/xilize-engine.jar x

# lib/dev/java2html.jar !
# lib/dev/javasrc.jar !?
# lib/dev/Pack200Task.jar !
# lib/dev/jdic_win_30092005/jdic_30092005.jar !

sed -i 's|<property name="compiler.source" value="1.4"/>|<property name="compiler.source" value="1.6"/>|' \
  etc/build/properties.xml
sed -i 's|<property name="compiler.target" value="1.4"/>|<property name="compiler.target" value="1.6"/>|' \
  etc/build/properties.xml
  
%build

# test skipped requires X11 DISPLAY variable set
%ant jar docs
# test

%install
%mvn_artifact pom.xml build/core-renderer.jar
%mvn_install -J doc/full/api


install -pm 644 build/core-renderer-minimal.jar %{buildroot}%{_javadir}/%{name}/

(
  cd %{buildroot}%{_javadir}/%{name}
  ln -sf core-renderer.jar xhtmlrenderer.jar
)

# demo
install -pm 644 build/aboutbox.jar %{buildroot}%{_javadir}/%{name}/
install -pm 644 build/browser.jar %{buildroot}%{_javadir}/%{name}/
install -pm 644 build/docbook.jar %{buildroot}%{_javadir}/%{name}/
install -pm 644 build/svg.jar %{buildroot}%{_javadir}/%{name}/

%files -f .mfiles
%{_javadir}/%{name}/core-renderer-minimal.jar
%{_javadir}/%{name}/xhtmlrenderer.jar
%doc README
%license LICENSE*

%files demos
%{_javadir}/%{name}/aboutbox.jar
%{_javadir}/%{name}/browser.jar
%{_javadir}/%{name}/docbook.jar
%{_javadir}/%{name}/svg.jar
%license LICENSE*

%files javadoc -f .mfiles-javadoc
%license LICENSE*

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 8-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 8-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 8-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 8-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 8-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 03 2016 gil cattaneo <puntogil@libero.it> 8-12
- remove non-free content included (rhbz#1295165)
- fix license field

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar 13 2015 gil cattaneo <puntogil@libero.it> 8-10
- fix Url tag

* Sun Feb 01 2015 gil cattaneo <puntogil@libero.it> 8-9
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 8-7
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Dec 15 2012 gil cattaneo <puntogil@libero.it>  8-4
- fix itext B/R
- fix javac target/source 

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 21 2012 gil cattaneo <puntogil@libero.it> 8-2
- moved xhtmlrenderer link jar file in %%{_javadir}/flyingsaucer subdirectory
- fix files with wrong encoding
- fix version tag
- removed classpath from manifest

* Sun Apr 15 2012 gil cattaneo <puntogil@libero.it> 8-1
- initial rpm

